Bug 1310761 - [abrt] pcl-tools: pcl::OpenNIGrabber::setupDevice(): pcl_openni_viewer killed by SIGABRT
[abrt] pcl-tools: pcl::OpenNIGrabber::setupDevice(): pcl_openni_viewer killed...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pcl (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7c23ebad19456dbf2bff4c452e8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 10:50 EST by fedora
Modified: 2016-12-20 13:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:56:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.66 KB, text/plain)
2016-02-22 10:50 EST, fedora
no flags Details
File: cgroup (191 bytes, text/plain)
2016-02-22 10:50 EST, fedora
no flags Details
File: core_backtrace (3.54 KB, text/plain)
2016-02-22 10:50 EST, fedora
no flags Details
File: dso_list (11.41 KB, text/plain)
2016-02-22 10:50 EST, fedora
no flags Details
File: environ (3.20 KB, text/plain)
2016-02-22 10:51 EST, fedora
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-22 10:51 EST, fedora
no flags Details
File: maps (55.29 KB, text/plain)
2016-02-22 10:51 EST, fedora
no flags Details
File: mountinfo (2.91 KB, text/plain)
2016-02-22 10:51 EST, fedora
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-22 10:51 EST, fedora
no flags Details
File: open_fds (140 bytes, text/plain)
2016-02-22 10:51 EST, fedora
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2016-02-22 10:51 EST, fedora
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-22 10:51 EST, fedora
no flags Details

  None (edit)
Description fedora 2016-02-22 10:50:51 EST
Description of problem:
starting program with kinect 360 connect (plus power)

Version-Release number of selected component:
pcl-tools-1.7.2-8.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        pcl_openni_viewer
crash_function: pcl::OpenNIGrabber::setupDevice
executable:     /usr/bin/pcl_openni_viewer
global_pid:     5627
kernel:         3.18.17-8.pvops.qubes.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #6 pcl::OpenNIGrabber::setupDevice at /usr/src/debug/pcl-0ddf11a6ad1175b6f1c253da003de20c1295cde0/io/src/openni_grabber.cpp:381
 #7 pcl::OpenNIGrabber::onInit at /usr/src/debug/pcl-0ddf11a6ad1175b6f1c253da003de20c1295cde0/io/src/openni_grabber.cpp:299
 #8 pcl::OpenNIGrabber::OpenNIGrabber at /usr/src/debug/pcl-0ddf11a6ad1175b6f1c253da003de20c1295cde0/io/src/openni_grabber.cpp:99
Comment 1 fedora 2016-02-22 10:50:55 EST
Created attachment 1129377 [details]
File: backtrace
Comment 2 fedora 2016-02-22 10:50:57 EST
Created attachment 1129378 [details]
File: cgroup
Comment 3 fedora 2016-02-22 10:50:58 EST
Created attachment 1129379 [details]
File: core_backtrace
Comment 4 fedora 2016-02-22 10:50:59 EST
Created attachment 1129380 [details]
File: dso_list
Comment 5 fedora 2016-02-22 10:51:00 EST
Created attachment 1129381 [details]
File: environ
Comment 6 fedora 2016-02-22 10:51:02 EST
Created attachment 1129382 [details]
File: limits
Comment 7 fedora 2016-02-22 10:51:03 EST
Created attachment 1129383 [details]
File: maps
Comment 8 fedora 2016-02-22 10:51:04 EST
Created attachment 1129384 [details]
File: mountinfo
Comment 9 fedora 2016-02-22 10:51:06 EST
Created attachment 1129385 [details]
File: namespaces
Comment 10 fedora 2016-02-22 10:51:07 EST
Created attachment 1129386 [details]
File: open_fds
Comment 11 fedora 2016-02-22 10:51:08 EST
Created attachment 1129387 [details]
File: proc_pid_status
Comment 12 fedora 2016-02-22 10:51:09 EST
Created attachment 1129388 [details]
File: var_log_messages
Comment 13 fedora 2016-02-22 10:55:09 EST
Similar problem has been detected:

starting program with kinect 360 connect (plus power)

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        pcl_openni_grabber_example
crash_function: pcl::OpenNIGrabber::setupDevice
executable:     /usr/bin/pcl_openni_grabber_example
global_pid:     5802
kernel:         3.18.17-8.pvops.qubes.x86_64
package:        pcl-tools-1.7.2-8.fc23
reason:         pcl_openni_grabber_example killed by SIGABRT
runlevel:       N 3
type:           CCpp
uid:            0
Comment 14 fedora 2016-02-22 11:21:11 EST
Similar problem has been detected:

starting program with kinect 360 connect (plus power)

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        pcl_openni_voxel_grid
crash_function: pcl::OpenNIGrabber::setupDevice
executable:     /usr/bin/pcl_openni_voxel_grid
global_pid:     5732
kernel:         3.18.17-8.pvops.qubes.x86_64
package:        pcl-tools-1.7.2-8.fc23
reason:         pcl_openni_voxel_grid killed by SIGABRT
runlevel:       N 3
type:           CCpp
uid:            0
Comment 15 Fedora End Of Life 2016-11-24 10:41:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 13:56:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.